# Retrieves a paginated list of service needed based on the batch request

Returns a paginated list of the possible services needed that a ticket can have.

Endpoint: POST /tickets/service-needed
Version: v3
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Request fields (application/json):

  - `sortSpecifications` (array)

  - `sortSpecifications.field` (string, required)

  - `sortSpecifications.sort` (null | string)

  - `sortSpecifications.isSortDescending` (boolean)

  - `filterSpecifications` (array)

  - `filterSpecifications.field` (string, required)

  - `filterSpecifications.operator` (string, required)

  - `filterSpecifications.value` (any)

  - `filterSpecifications.filterConditionOperator` (any)

  - `page` (null | integer)

  - `pageSize` (null | integer)

## Response 200:

  - `200` (unknown)
    List of paginated service needed.

## Response 200 fields (application/json):

  - `before` (integer)

  - `after` (integer)

  - `total` (integer)

  - `items` (array)

  - `items.id` (string)
    Gets or sets the unique identifier for the service needed.

  - `items.name` (null | string)
    Gets or sets the name of the service needed.

  - `items.categoryId` (null | string)
    Gets or sets the category Id of the service needed.

  - `items.locations` (null | array)
    Gets or sets the locations associated with the service needed.

  - `items.isActive` (boolean)
    Gets or sets a value indicating whether service needed is active or not.

